
<html>
  <head>
   
<style> 
#example1 {
  background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
  height: 100vh;
  width: 100%;
  background-size: cover;
  background-repeat: no repeat;
  background-position: center;
  background-attachment: fixed;
  padding: 20px;
  margin: auto;

}
</style>
</head>
<body>
<div id="example1">
    <div style="text-align: right" style="float: right" >
        <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png"  class="izquierda"></h2>
    </div>
    <h1> </h1>
  <h1 class="test1">LISTA DE USUARIOS</h1>
 
  <hr class="bordes"/>
  <div class="row ">
   
    <p-table  class="ex2" #dt [columns]="cols" [value]="usuarios" [paginator]="true" (onRowSelect)="onRowSelect($event)"
        [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="usuarioseleccionado"
        dataKey="idUsuario" [style]="{'margin-left':'40px'}"   >
         <ng-template pTemplate="caption">
            Módulos
        </ng-template>
        <ng-template pTemplate="caption">
            <div style="text-align: right">
                <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                <input type="text" pInputText size="50" placeholder="Busqueda"
                    (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
            </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr>
                <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                    {{ col.header }}
                    <p-sortIcon [field]="col.field"></p-sortIcon>
                </th>
            </tr>
        </ng-template>
        
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr [pSelectableRow]="rowData">
                <td *ngFor="let col of columns">
                  
                <span *ngIf="(col.field==='perfil')" >{{ rowData[col.field]?.idPerfil}}</span>
                 <span *ngIf="!(col.field==='perfil')" > {{ rowData[col.field]}}</span>
                </td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary" let-rowData>
            <div style="text-align:right">
                <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                    label="Nuevo"></button>
                <button type="button" pButton icon="fa fa-trash" (click)="borrar(idUsuario)" label="Borrar"></button>
                <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                    label="Editar"></button>
                <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                    label="Actualizar">Actualizar</button> -->

            </div>
        </ng-template>
    </p-table>
    <p-dialog header="USUARIO" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
        [style]="{ width: '400px' }">
       

        <div class="col-md-8 mt-4">
            <form #form="ngForm" *ngIf="usuario">

                <div class="form-group">
                    <label for="" class="col-form-label-sm">Usuario:</label>
                    <input type="text" required class="form-control " placeholder="Ingrese el tipo usuario"
                        name="usuario1" #usuario1="ngModel" required [(ngModel)]="usuario.usuario" />

                    <h6 *ngIf="usuario1.hasError('required') && usuario1.touched" class="input-error">Campo obligatorio</h6>
                </div>
                            <div class="form-group">
                    <label for="" class="col-form-label-sm">Contraseña:</label>
                    <input type="text" required class="form-control " placeholder="Ingrese el tipo usuario"
                        name="contrasena" #contrasena="ngModel" required [(ngModel)]="usuario.contrasena" />

                    <h6 *ngIf="contrasena.hasError('required') && contrasena.touched" class="input-error">Campo obligatorio</h6>
                </div>
                      <div class="form-group">
        
                        <label for="perfil">
                                    Perfil:
                                      
                                </label>
                         <p-multiSelect name="mISelect" appendTo='body'  #mySelect="ngModel" [options]="this.perfiles"  overlayVisible="true"  
                         [ngModelOptions]="{standalone: true}" optionLabel="tipo" [(ngModel)]="usuario.perfil">
                        </p-multiSelect>
                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                    </h6>-->
                </div>
                <div class="text-center form-row justify-content-around">
                    <div class="col-5">
                        <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                    </div>
                    <div class="col-5">
                        <button class="btn btn-success" [disabled]="form.invalid"
                            (click)="btnGuardar()">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </p-dialog>
</div>
</div>
</body>
</html>
